Subject: Re: [PATCH v2 0/6] Extensions of core.ignorecase=true support

From: Johannes Sixt <[email-masked]>
Date: Sun, 3 Oct 2010 20:12:01 +0200

On Sonntag, 3. Oktober 2010, Robert Buck wrote:
> So I could we please separate the behaviors that change intent
> (folding) from the behaviors that merely alter how things are
> displayed (listing) by splitting this into two separate properties?
> For example,
>
> core.casepreserving=true|false
> core.caseinsensitive=true|false
>
> The former property would control folding, the latter property would
> apply to listing and pattern matching. Then people could opt out of
> the folding behaviors (add, import), while continuing to adopt listing
> and pattern matching (status, ls, ignore).

core.ignorecase has a very well-defined meaning: It describes whether the 
worktree lives on a filesystem that is case-insensitive. Perhaps you could 
help me understand your case if you gave examples and a use-case? I have a 
slight suspicion that your wish is orthogonal to core.ignorecase.

-- Hannes